Module javafx.controls
Package javafx.scene.control

# Class IndexRange

java.lang.Object
javafx.scene.control.IndexRange

    public final class IndexRange
    extends Object

Class representing a contiguous range of integral values.

Since:
  JavaFX 2.0

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static String` | `VALUE_DELIMITER` | Index range value delimiter.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IndexRange​(int start, int end)` | Creates an instance of IndexRange representing the range between `start` and `end`.
  `IndexRange​(IndexRange range)` | Creates an instance of IndexRange by copying the values from the given IndexRange object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object object)` | Indicates whether some other object is "equal to" this one.
  `int` | `getEnd()` | Returns the end position of the range (exclusive).
  `int` | `getLength()` | Returns the length of the range.
  `int` | `getStart()` | Returns the start position of the range.
  `int` | `hashCode()` | Returns a hash code for this `Range` object.
  `static IndexRange` | `normalize​(int v1, int v2)` | Convenience method to create an IndexRange instance that has the smaller value as the start index, and the larger value as the end index.
  `String` | `toString()` | Returns a string representation of this `Range` object.
  `static IndexRange` | `valueOf​(String value)` | Convenience method to parse in a String of the form '2,6', which will create an IndexRange instance with a start value of 2, and an end value of 6.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VALUE_DELIMITER

    public static final String VALUE_DELIMITER
    Index range value delimiter.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### IndexRange

    public IndexRange​(int start, int end)
    Creates an instance of IndexRange representing the range between `start` and `end`.
    Parameters:
      `start` - The start position of the range.
      `end` - The end position of the range.

  - ### IndexRange

    public IndexRange​(IndexRange range)
    Creates an instance of IndexRange by copying the values from the given IndexRange object.
    Parameters:
      `range` - The IndexRange instance from which to copy the start and end values.

- ## Method Details

  - ### getStart

    public int getStart()
    Returns the start position of the range.
    Returns:
      the start position of the range

  - ### getEnd

    public int getEnd()
    Returns the end position of the range (exclusive).
    Returns:
      the end position of the range (exclusive)

  - ### getLength

    public int getLength()
    Returns the length of the range.
    Returns:
      the length of the range

  - ### equals

    public boolean equals​(Object object)
    Indicates whether some other object is "equal to" this one.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `object` - the reference object with which to compare.
    Returns:
      `true` if this object is equal to the `object` argument; `false` otherwise.

  - ### hashCode

    public int hashCode()
    Returns a hash code for this `Range` object.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code for this `Range` object.

  - ### toString

    public String toString()
    Returns a string representation of this `Range` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `Range` object.

  - ### normalize

    public static IndexRange normalize​(int v1, int v2)
    Convenience method to create an IndexRange instance that has the smaller value as the start index, and the larger value as the end index.
    Parameters:
      `v1` - The first value to use in the range.
      `v2` - The second value to use in the range.
    Returns:
      A IndexRange instance where the smaller value is the start, and the larger value is the end.

  - ### valueOf

    public static IndexRange valueOf​(String value)
    Convenience method to parse in a String of the form '2,6', which will create an IndexRange instance with a start value of 2, and an end value of 6.
    Parameters:
      `value` - The string to be parsed, and converted to an IndexRange.
    Returns:
      An IndexRange instance representing the start and end values provided in the value string.